#### Previous topic

scipy.stats.rv_histogram.ppf

#### Next topic

scipy.stats.rv_histogram.sf

# scipy.stats.rv_histogram.rvs

`rv_histogram.``rvs`(*args, **kwds)

  Random variates of given type.

  Parameters:

  arg1, arg2, arg3,… : array_like

  > The shape parameter(s) for the distribution (see docstring of the instance object for more information).

  loc : array_like, optional

  > Location parameter (default=0).

  scale : array_like, optional

  > Scale parameter (default=1).

  size : int or tuple of ints, optional

  > Defining number of random variates (default is 1).

  random_state : None or int or `np.random.RandomState` instance, optional

  > If int or RandomState, use it for drawing the random variates. If None, rely on `self.random_state`. Default is None.

  Returns:

  rvs : ndarray or scalar

  > Random variates of given size.